Skip to content

AI Templates

Reusable AI-driven message templates. Templates render personalized content for a given contact and sender profile, optionally calling an LLM to generate the body.

List AI Templates

Request

List all AI templates (reusable AI-driven message snippets) for the team.

Security
bearerAuth
Query
limitinteger, (int32)

Items per page (default 20).

Default:20
Example:limit=20
offsetinteger, (int32)

Items to skip (default 0).

Default:0
Example:offset=0
GET
/flows/api/ai-templates
curl -i -X GET \
  'https://leadgen.grinfi.io/flows/api/ai-templates?limit=20&offset=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of AI templates.

Bodyapplication/json
dataArray of objects(ai-template)
limitinteger
offsetinteger
totalinteger
has_moreboolean
Response
{ "data": [ {} ], "limit": 0, "offset": 0, "total": 0, "has_more": true }